# all files / ol/pointer/ nativesource.js

54.55% Statements 12/22
100% Branches 0/0
0% Functions 0/9
54.55% Lines 12/22

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    94
    95
    96
    97
    98
    99
    100
    101
    102
    103
    104
    105
    106
    107
    108
    109
    110
    111
    112
    113
    114
    115
    116
    117
    118
    119
    120
    121
    122
    123
    124
    125
    126
    127
    128
    129
    130
    131
    132
    133
    134
    135
    136

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

     // Based on https://github.com/Polymer/PointerEvents

    // Copyright (c) 2013 The Polymer Authors. All rights reserved.
    //
    // Redistribution and use in source and binary forms, with or without
    // modification, are permitted provided that the following conditions are
    // met:
    //
    // * Redistributions of source code must retain the above copyright
    // notice, this list of conditions and the following disclaimer.
    // * Redistributions in binary form must reproduce the above
    // copyright notice, this list of conditions and the following disclaimer
    // in the documentation and/or other materials provided with the
    // distribution.
    // * Neither the name of Google Inc. nor the names of its
    // contributors may be used to endorse or promote products derived from
    // this software without specific prior written permission.
    //
    // THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
    // "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
    // LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
    // A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
    // OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
    // SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
    // LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
    // DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
    // THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    // (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
    // OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

    goog.provide('ol.pointer.NativeSource');

    goog.require('ol.pointer.EventSource');

    /**
     * @param {ol.pointer.PointerEventHandler} dispatcher
     * @constructor
     * @extends {ol.pointer.EventSource}
     */
    ol.pointer.NativeSource = function(dispatcher) {
      var mapping = {
        'pointerdown': this.pointerDown,
        'pointermove': this.pointerMove,
        'pointerup': this.pointerUp,
        'pointerout': this.pointerOut,
        'pointerover': this.pointerOver,
        'pointercancel': this.pointerCancel,
        'gotpointercapture': this.gotPointerCapture,
        'lostpointercapture': this.lostPointerCapture
      };
      goog.base(this, dispatcher, mapping);
    };
    goog.inherits(ol.pointer.NativeSource, ol.pointer.EventSource);

    /**
     * Handler for `pointerdown`.
     *
     * @param {goog.events.BrowserEvent} inEvent
     */
    ol.pointer.NativeSource.prototype.pointerDown = function(inEvent) {
      this.dispatcher.fireNativeEvent(inEvent);
    };

    /**
     * Handler for `pointermove`.
     *
     * @param {goog.events.BrowserEvent} inEvent
     */
    ol.pointer.NativeSource.prototype.pointerMove = function(inEvent) {
      this.dispatcher.fireNativeEvent(inEvent);
    };

    /**
     * Handler for `pointerup`.
     *
     * @param {goog.events.BrowserEvent} inEvent
     */
    ol.pointer.NativeSource.prototype.pointerUp = function(inEvent) {
      this.dispatcher.fireNativeEvent(inEvent);
    };

    /**
     * Handler for `pointerout`.
     *
     * @param {goog.events.BrowserEvent} inEvent
     */
    ol.pointer.NativeSource.prototype.pointerOut = function(inEvent) {
      this.dispatcher.fireNativeEvent(inEvent);
    };

    /**
     * Handler for `pointerover`.
     *
     * @param {goog.events.BrowserEvent} inEvent
     */
    ol.pointer.NativeSource.prototype.pointerOver = function(inEvent) {
      this.dispatcher.fireNativeEvent(inEvent);
    };

    /**
     * Handler for `pointercancel`.
     *
     * @param {goog.events.BrowserEvent} inEvent
     */
    ol.pointer.NativeSource.prototype.pointerCancel = function(inEvent) {
      this.dispatcher.fireNativeEvent(inEvent);
    };

    /**
     * Handler for `lostpointercapture`.
     *
     * @param {goog.events.BrowserEvent} inEvent
     */
    ol.pointer.NativeSource.prototype.lostPointerCapture = function(inEvent) {
      this.dispatcher.fireNativeEvent(inEvent);
    };

    /**
     * Handler for `gotpointercapture`.
     *
     * @param {goog.events.BrowserEvent} inEvent
     */
    ol.pointer.NativeSource.prototype.gotPointerCapture = function(inEvent) {
      this.dispatcher.fireNativeEvent(inEvent);
    };